%define plugname imms
%define name xmms-%plugname
%define version 1.0
%define release 1mdk

Summary:	An intelligent playlist plug-in for XMMS
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{plugname}-%{version}.tar.bz2
License:	GPL
Group:		Sound
Url:		http://www.luminal.org/wiki/index.php/IMMS/IMMS
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	xmms
BuildRequires:	xmms-devel
BuildRequires:	libsqlite-devel
BuildRequires:	libvorbis-devel
BuildRequires:	libpcre-devel
BuildRequires:	libid3-devel
BuildRequires:	autoconf2.5

%description
IMMS is an intelligent playlist plug-in for XMMS that tracks the user's
listening patterns and dynamically adapts to his/her taste. It is incredibly
unobtrusive and easy to use as it requires no direct user interaction.

%prep
%setup -q -n %plugname-%version

%build
make configure
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot%_libdir/xmms/Visualization
%make install-system DESTDIR=%buildroot

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LICENSE INSTALL README
%_libdir/xmms/Visualization/libimms.so

%changelog
* Sun Jan 25 2004 Michael Reinsch <mr@uue.org> 1.0-1mdk
- new version

* Thu Dec 06 2003 Michael Reinsch <mr@uue.org> 0.9.9-1mdk
- new version
- spec cleanup

* Thu Nov 13 2003 Michael Reinsch <mr@uue.org> 0.9.8-1mdk
- new version

* Thu Oct 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.9.4-2mdk
- fix autoconf macro
- fix buildrequires

* Thu Oct 09 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.9.4-1mdk
- 1st mdk spec
